const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const daily_seeds = sequelize.define(
    'daily_seeds',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

seed_key: {
        type: DataTypes.TEXT,
      
      

      },

active_from: {
        type: DataTypes.DATE,
      
      

      },

active_to: {
        type: DataTypes.DATE,
      
      

      },

timer_profile: {
        type: DataTypes.ENUM,
      
      

        values: [

"normal",


"insane"

        ],

      },

mode_selection: {
        type: DataTypes.ENUM,
      
      

        values: [

"beatmap_only",


"mapper_only",


"artist_only",


"mixed"

        ],

      },

is_active: {
        type: DataTypes.BOOLEAN,
      
        allowNull: false,
        defaultValue: false,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  daily_seeds.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity




















//end loop






    db.daily_seeds.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.daily_seeds.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return daily_seeds;
};


